Metrics, starter briefs and the ledger
curl --request GET \
--url https://api.semicola.com/api/v2/storefront/demand-inbox \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/storefront/demand-inbox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/storefront/demand-inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"metrics": [
{
"key": "briefs_ytd",
"label": "<string>",
"value": "<string>",
"unavailable": true
}
],
"starterBriefs": [
{
"id": "<string>",
"title": "<string>",
"category": "<string>",
"market": "<string>",
"channel": "display",
"status": "ready",
"brief": "<string>"
}
],
"rows": [
{
"rfpId": "<string>",
"latestTurnId": "<string>",
"latestTurnState": "queued",
"briefSummary": "<string>",
"buyerLabel": "<string>",
"advertiserLabel": "<string>",
"receivedAt": "2023-11-07T05:31:56Z",
"responseKind": "product_offer",
"result": "pending",
"grade": "A",
"ledBy": "agent",
"endorsed": true
}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Demand Inbox
Metrics, starter briefs and the ledger
GET
/
api
/
v2
/
storefront
/
demand-inbox
Metrics, starter briefs and the ledger
